<template>
  <v-container class="grey lighten-3" fluid fill-height>
    <v-card class="mt-4 mx-auto text-center hidden-sm-only" min-width="400">
      <v-card-text>
        <v-card
          class="v-card--offset mx-auto"
          color="primary"
          elevation="0"
          dark
        >
          <v-card-text class="headline white--text">Inicie sesión</v-card-text>
          <v-card-text>
            <img src="/logo.png" width="120" alt="" />
          </v-card-text>
        </v-card>
      </v-card-text>
      <v-form>
        <v-card-text>
          <v-text-field
            label="Nombre de usuario*"
            type="text"
            v-model="oFormulario.username"
          />
          <v-text-field
            label="Contraseña *"
            type="password"
            v-model="oFormulario.password"
            @keyup.enter="onSubmit()"
          />
          <div class="caption grey--text text--darken-1 text-left">
            *Campos requeridos
          </div>
        </v-card-text>
        <v-card-actions>
          <v-row align="center" no-gutters>
            <v-col class="text-center">
              <div class="my-2">
                <v-btn color="primary" block @click="onSubmit()">Acceder</v-btn>
              </div>
            </v-col>
          </v-row>
        </v-card-actions>
      </v-form>
    </v-card>
  </v-container>
</template>
<script>
import { mapActions } from "vuex";
export default {
  data() {
    return {
      oFormulario: {
        username: "usuario1",
        password: "12345",
      },
    };
  },
  methods: {
    ...mapActions({
      signIn: "auth/signIn",
    }),
    onSubmit() {
      if (this.oFormulario.password == "" || this.oFormulario.username == "") {
        alert("Debe ingresar usuario y/o contraseña");
      } else {
        const credenciales = this.oFormulario;
        this.signIn(credenciales)
          .then(() => {
            this.$router.push({ name: "home" });
          })
          .catch(({ response: { data } }) => {
            if (!navigator.onLine) alert("No tiene conexión a internet");
            alert(data.message);
          });
      }
    },
  },
};
</script>